Subject: Help with guestgroup please

From: "Kevin L. Gross" <[email-masked]>
Date: Fri, 29 Mar 1996 08:36:38 -0800 (PST)

Well, I can't tell if this message is not making it to the group,
or if noone knows the answer. I've sent this twice with nary a 
response, yet I see multiple responses for other questions.

Is there anybody out there?

-Kevin
 
> Hi,
> 
> I have set up according to the FAQ, a guestgroup and user so that
> they have ftp access, but no telnet. The trouble is, they seem to 
> have access to any part of my system, not just their directory. Here
> is their passwd entry (fake name) and the ftpacces file. Any help
> is very much appreciated. Running on BSDI.
> 
> 
> /etc/passwd:
> goober:*:106:21:Goober Pyle,,,:/var/www/docs/mayberry/./:/etc/ftponly
> 
> /etc/group:
> ftponly:*:21:goober
> 
> /etc/ftpaccess:
> class   local   real,guest,anonymous  *
> 
> limit   ftponly   1   Any              /etc/msgs/msg.dead
> 
> readme  README*    login
> readme  README*    cwd=*
> 
> message /welcome.msg            login
> message .message                cwd=*
> 
> compress        yes             local remote
> tar             yes             local remote
> 
> log commands real,guest,anonymous
> log transfers real,guest,anonymous inbound,outbound
> 
> shutdown /etc/shutmsg
> 
> # specify which group of users will be treated as "guests".
> guestgroup ftponly
> 
> email [email-masked]
>